#include <bits/stdc++.h>
using namespace std;

long long int br = 0;

long long int Generisi( long long int V )
{
	long long int stepen = 1;
	long long int k = 0;

	for ( long long int g = 0; true; g++ )
	{
		if ( g%3 == 0 )
		{
			if ( stepen > V )
			{
				break;
			}
			k = stepen;
		}
		else if ( g%3 == 1 )
		{
			if ( 2*stepen > V )
			{
				break;
			}
			k = 2*stepen;
		}
		else
		{
			if ( 5*stepen > V )
			{
				break;
			}
			k = 5*stepen;
			stepen *= 10;
		}
	}
	return k;
}

int main()
{
	long long int V;
	long long int k;

	cin >> V;

	while ( V > 0 )
	{
		k = Generisi(V);
		V -= k;
		br++;
	}
	
	cout << br;

	return 0;
}